.. AUTO-GENERATED FILE. DO NOT EDIT. store-order-items-patch-one =========================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25334823297`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``async`` - Lambda: ``jef-store-patch-41`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/store-order-items-patch-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-order-items-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-patch-41`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-patch-41 Module: jef-store Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /store-order-items-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-store-order-items Payload Example: - pk: order-item-1001-0001 - gsi_1_pk: ORD-1001-0001 - gsi_1_sk: 1 - gsi_2_pk: PRO-1001-0001 - gsi_2_sk: 2026-05-04T09:07:00+08:00 - order_item_id: order-item-1001-0001 - entity_number: 1001 - order_number: ORD-1001-0001 - line_number: 1 - product_number: PRO-1001-0001 - sku: PH-SPECIA-10010001 - product_name: Pandan Coconut Sea Salt Latte - quantity: 15 - unit_price: 158 - line_total: 1896 - is_voided: false - is_deleted: false - deleted_at: - created_at: 2026-05-04T09:07:00+08:00 - updated_at: 2026-05-04T09:07:00+08:00 - idempotency_key: 8019603a-35e4-51a4-a9ec-edd8a9679364 - schema_version: 1001 - version: 1001 Payload Schema: - pk: string-{order_item_id} - gsi_1_pk: string-{order_number} - gsi_1_sk: string-{line_number} - gsi_2_pk: string-{product_number} - gsi_2_sk: string-{created_at} - order_item_id: string - entity_number: string - order_number: string - line_number: number - product_number: string - sku: string - product_name: string - quantity: number - unit_price: number - line_total: number - is_voided: boolean - is_deleted: boolean - deleted_at: string - created_at: string - updated_at: string - idempotency_key: string - schema_version: number - version: number Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "order-item-1001-0001", "gsi_1_pk": "ORD-1001-0001", "gsi_1_sk": "1", "gsi_2_pk": "PRO-1001-0001", "gsi_2_sk": "2026-05-04T09:07:00+08:00", "order_item_id": "order-item-1001-0001", "entity_number": "1001", "order_number": "ORD-1001-0001", "line_number": "1", "product_number": "PRO-1001-0001", "sku": "PH-SPECIA-10010001", "product_name": "Pandan Coconut Sea Salt Latte", "quantity": "15", "unit_price": "158", "line_total": "1896", "is_voided": "false", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "8019603a-35e4-51a4-a9ec-edd8a9679364", "schema_version": "1001", "version": "1001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-order-items-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"order-item-1001-0001\", \"gsi_1_pk\": \"ORD-1001-0001\", \"gsi_1_sk\": 1, \"gsi_2_pk\": \"PRO-1001-0001\", \"gsi_2_sk\": \"2026-05-04T09:07:00+08:00\", \"order_item_id\": \"order-item-1001-0001\", \"entity_number\": \"1001\", \"order_number\": \"ORD-1001-0001\", \"line_number\": 1, \"product_number\": \"PRO-1001-0001\", \"sku\": \"PH-SPECIA-10010001\", \"product_name\": \"Pandan Coconut Sea Salt Latte\", \"quantity\": 15, \"unit_price\": 158, \"line_total\": 1896, \"is_voided\": \"false\", \"is_deleted\": \"false\", \"deleted_at\": \"\", \"created_at\": \"2026-05-04T09:07:00+08:00\", \"updated_at\": \"2026-05-04T09:07:00+08:00\", \"idempotency_key\": \"8019603a-35e4-51a4-a9ec-edd8a9679364\", \"schema_version\": 1001, \"version\": 1001}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-order-items-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "order-item-1001-0001", "gsi_1_pk": "ORD-1001-0001", "gsi_1_sk": 1, "gsi_2_pk": "PRO-1001-0001", "gsi_2_sk": "2026-05-04T09:07:00+08:00", "order_item_id": "order-item-1001-0001", "entity_number": "1001", "order_number": "ORD-1001-0001", "line_number": 1, "product_number": "PRO-1001-0001", "sku": "PH-SPECIA-10010001", "product_name": "Pandan Coconut Sea Salt Latte", "quantity": 15, "unit_price": 158, "line_total": 1896, "is_voided": "false", "is_deleted": "false", "deleted_at": "", "created_at": "2026-05-04T09:07:00+08:00", "updated_at": "2026-05-04T09:07:00+08:00", "idempotency_key": "8019603a-35e4-51a4-a9ec-edd8a9679364", "schema_version": 1001, "version": 1001}'